[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBLookupComboBox.NullValueKey

Keyboard shortcut which causes an empty value to be assigned to the field value for the lookup control.

## Declaration

Source position: dbctrls.pp line 949

`published property TDBLookupComboBox.NullValueKey : TShortCut read GetNullValueKey write SetNullValueKey default 0;`

## Description

NullValueKey is a TShortCut property which contains the keystroke used to assign a Null value to the data-aware control. Read and write access for the property value are redirected to the NullValueKey property in the internal TDBLookup instance used in the class.

NullValueKey is used in TDBLookup methods, and handled in the KeyDown method for data-aware controls which support the feature. The default value for the property is zero (0) and indicates that the shortcut key is not used for the control.